Bug 1316315 - arduino-1.6.x is available
arduino-1.6.x is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: arduino (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
: FutureFeature, Triaged
: 1404684 (view as bug list)
Depends On: 1360587 1394193 1422555
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 19:11 EST by Upstream Release Monitoring
Modified: 2017-07-31 13:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: arduino-1.6.6-3.fc26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 12:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (36.45 KB, patch)
2016-05-10 08:14 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (36.51 KB, patch)
2016-07-26 20:14 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (40.11 KB, patch)
2016-08-26 20:21 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (40.09 KB, patch)
2016-09-21 20:15 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (40.11 KB, patch)
2016-11-22 19:14 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (40.07 KB, patch)
2016-12-22 07:13 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (40.07 KB, patch)
2017-01-09 19:13 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-03-09 19:11:35 EST
Latest upstream release: 1.6.8
Current version/release in rawhide: 1.6.4-4.fc24
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-03-09 19:12:13 EST
Patching or scratch build for arduino and version 1.6.4 FAILED.
See for details
Comment 2 Upstream Release Monitoring 2016-03-09 19:12:16 EST
Rebase helper failed.
See logs and attachments in this bugzilla global name 'os' is not defined
Comment 3 Upstream Release Monitoring 2016-03-09 19:12:19 EST
Patches were not touched. All were applied properly
Comment 4 Upstream Release Monitoring 2016-05-10 08:11:25 EDT
Latest upstream release: 1.6.9
Current version/release in rawhide: 1.6.4-7.fc25
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/
Comment 5 Upstream Release Monitoring 2016-05-10 08:14:39 EDT
Patching or scratch build for arduino-1.6.4 failed.
Comment 6 Upstream Release Monitoring 2016-05-10 08:14:42 EDT
Created attachment 1155691 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 7 Upstream Release Monitoring 2016-05-10 08:14:45 EDT
Patches were not touched. All were applied properly
Comment 8 Matthew Miller 2016-05-17 23:08:29 EDT
I'd love to see this updated for Fedora 24, if possible (to at least the latest "released" tag, 1.6.6.
Comment 9 Upstream Release Monitoring 2016-07-26 20:11:24 EDT
Latest upstream release: 1.6.10
Current version/release in rawhide: 1.6.4-8.fc25
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/
Comment 10 Upstream Release Monitoring 2016-07-26 20:14:45 EDT
Patching or scratch build for arduino-1.6.4 failed.
Comment 11 Upstream Release Monitoring 2016-07-26 20:14:48 EDT
Created attachment 1184429 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 12 Upstream Release Monitoring 2016-07-26 20:14:51 EDT
Patches were not touched. All were applied properly
Comment 13 Upstream Release Monitoring 2016-08-26 20:18:30 EDT
Latest upstream release: 1.6.11
Current version/release in rawhide: 1.6.4-8.fc25
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/
Comment 14 Upstream Release Monitoring 2016-08-26 20:21:12 EDT
Patching or scratch build for arduino-1.6.4 failed.
Comment 15 Upstream Release Monitoring 2016-08-26 20:21:16 EDT
Created attachment 1194546 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 16 Upstream Release Monitoring 2016-08-26 20:21:20 EDT
Following patches has been deleted:
['arduino-macosx.patch', 'arduino-add-to-groups.patch']
Comment 17 Upstream Release Monitoring 2016-08-26 20:21:24 EDT
Following patches has been modified:
['/var/tmp/thn-rhhJxwUS/rebase-helper-results/arduino-macosx.patch']
Comment 18 Upstream Release Monitoring 2016-08-26 20:21:28 EDT
Following patches has been unapplied:
['arduino-no-network.patch', 'arduino-use-system-avrdude.patch', 'arduino-script.patch', 'arduino-use-system-astyle.patch', 'arduino-armbuild.patch']
Comment 19 Upstream Release Monitoring 2016-09-21 20:12:23 EDT
Latest upstream release: 1.6.12
Current version/release in rawhide: 1.6.4-8.fc25
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/
Comment 20 Upstream Release Monitoring 2016-09-21 20:14:58 EDT
Patching or scratch build for arduino-1.6.4 failed.
Comment 21 Upstream Release Monitoring 2016-09-21 20:15:02 EDT
Created attachment 1203536 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 22 Upstream Release Monitoring 2016-09-21 20:15:05 EDT
Following patches has been deleted:
['arduino-macosx.patch', 'arduino-add-to-groups.patch']
Comment 23 Upstream Release Monitoring 2016-09-21 20:15:09 EDT
Following patches has been modified:
['/var/tmp/thn-rhLZttpl/rebase-helper-results/arduino-macosx.patch']
Comment 24 Upstream Release Monitoring 2016-09-21 20:15:13 EDT
Following patches has been unapplied:
['arduino-no-network.patch', 'arduino-use-system-avrdude.patch', 'arduino-script.patch', 'arduino-use-system-astyle.patch', 'arduino-armbuild.patch']
Comment 25 Steven Haigh 2016-10-20 05:39:28 EDT
So I'm wondering if there has been any progress on this? I picked up a couple of ATTINY85's and it seems they require 1.6.5+ - which is not available anywhere in the Fedora ecosystem :(

Is my only other option to use Windows for this?
Comment 26 Matthew Miller 2016-10-20 11:28:58 EDT
Looks like we were blocked on bug #1360587, but that is now resolved. Any updates, Dennis?
Comment 27 Gianluca Sforna 2016-10-29 04:24:19 EDT
Since I am listed as co-maintainer, I wanted to help so I had a look at a rebuild; right now, I updated the spec to 1.6.6, rebased the patches, added rsyntaxtextarea dependency and BR it into the spec file.

However, there are few items to clear before it builds properly, most notably there are now a number of files downloaded during build that should be added as Source# lines.

I will give you an update as soon as I have a scratch build to check out and then, if Dennis is OK with the plan, I will push it to the repos.
Comment 28 Gianluca Sforna 2016-10-30 04:48:12 EDT
Here it is:
Comment 29 Gianluca Sforna 2016-10-30 04:49:00 EDT
Oops, submitted form too early...

http://koji.fedoraproject.org/koji/taskinfo?taskID=16254129
Comment 30 Dennis Chen 2016-10-30 16:23:08 EDT
Hi Gianluca,

Can you move (in the spec file) your added librares to before were we clean out the directories for binaries.

Also, the arduino-builder-linux{32,64}-1.0.5.tar.bz2 tarballs contain pre-compiled binaries. Can we remove them and compile them from soruce?

After this I think it'll be acceptable for inclusion in Fedora.
Comment 31 Gianluca Sforna 2016-10-31 07:44:16 EDT
(In reply to Dennis Chen from comment #30)
> Can you move (in the spec file) your added librares to before were we clean
> out the directories for binaries.
> 

Done.

> Also, the arduino-builder-linux{32,64}-1.0.5.tar.bz2 tarballs contain
> pre-compiled binaries. Can we remove them and compile them from soruce?

Yeah, I left a TODO there while I figure out how to make it work (currently, one can not verify/compile any sketch with 1.6.6-1). That is a Golang based project and we need to package it up and start the review process, but maybe we can left this as is in until it's done? Otherwise, we can not push any update to Arduino.
Comment 32 Steven Haigh 2016-10-31 08:13:49 EDT
Is it worthwhile just removing the packages from Fedora?

The arduino site has binaries available and it all works out of the box....
Comment 33 Dennis Chen 2016-10-31 14:55:26 EDT
(In reply to Steven Haigh from comment #32)
> Is it worthwhile just removing the packages from Fedora?
> 
> The arduino site has binaries available and it all works out of the box....

I believe Arduino is critpath for the Robotics Lab. There's no reason to remove a perfectly functional, non obsolete piece of software from Fedora.

(In reply to Gianluca Sforna from comment #31)
> Yeah, I left a TODO there while I figure out how to make it work (currently,
> one can not verify/compile any sketch with 1.6.6-1). That is a Golang based
> project and we need to package it up and start the review process, but maybe
> we can left this as is in until it's done? Otherwise, we can not push any
> update to Arduino.

I'll investigate starting the review process for arduino-builder to get it on all archs. We cannot push any update until then.
Comment 34 Gianluca Sforna 2016-11-03 04:16:47 EDT
(In reply to Dennis Chen from comment #33)
> 
> I'll investigate starting the review process for arduino-builder to get it
> on all archs.

Ok then. Do you need help from me? 
I can complete/test the changes required to build 1.6.6 and/or the latest version; or I can prepare the package for arduino-builder and submit it for review. Just let me know how you would like to handle this, so we don't overlap.
Comment 35 Gianluca Sforna 2016-11-04 11:35:28 EDT
So, I now have a SPEC file for the arduino-builder tool but, guess what, it bundles a golang library so we actually need to also unbundle that to move this forward...

Dennis, if you are available for a quick review, I could submit both; the golang library should be trivially packaged with the gofed tool.
Comment 36 Dennis Chen 2016-11-04 12:34:41 EDT
Hmm. Alright. When you submit those packages for review, could you set the appropriate blocker tags?
Comment 37 Gianluca Sforna 2016-11-11 06:32:31 EST
Hi Dennis, sorry for hurrying the thing; I had some time at home due to some unfortunate events at home, and found this item I care about to work on.

So I now submitted the two review requests in bug 1394193 and bug 1393796.

Of course, I will set you as comaintaner as soon as we manage to bring them in.
Comment 38 Upstream Release Monitoring 2016-11-22 19:11:27 EST
Latest upstream release: 1.6.13
Current version/release in rawhide: 1.6.4-10.fc26
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/
Comment 39 Upstream Release Monitoring 2016-11-22 19:14:09 EST
Patching or scratch build for arduino-1.6.4 failed.
Comment 40 Upstream Release Monitoring 2016-11-22 19:14:12 EST
Created attachment 1222904 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 41 Upstream Release Monitoring 2016-11-22 19:14:16 EST
Following patches has been deleted:
['arduino-macosx.patch', 'arduino-add-to-groups.patch']
Comment 42 Upstream Release Monitoring 2016-11-22 19:14:20 EST
Following patches has been modified:
['/var/tmp/thn-rh8wXp3y/rebase-helper-results/arduino-macosx.patch']
Comment 43 Upstream Release Monitoring 2016-11-22 19:14:24 EST
Following patches has been unapplied:
['arduino-no-network.patch', 'arduino-use-system-avrdude.patch', 'arduino-script.patch', 'arduino-use-system-astyle.patch', 'arduino-armbuild.patch']
Comment 44 Gianluca Sforna 2016-12-19 09:04:14 EST
*** Bug 1404684 has been marked as a duplicate of this bug. ***
Comment 45 Upstream Release Monitoring 2016-12-22 07:11:00 EST
Latest upstream release: 1.8.0
Current version/release in rawhide: 1.6.4-10.fc26
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/
Comment 46 Upstream Release Monitoring 2016-12-22 07:13:23 EST
Patching or scratch build for arduino-1.6.4 failed.
Comment 47 Upstream Release Monitoring 2016-12-22 07:13:27 EST
Created attachment 1234729 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 48 Upstream Release Monitoring 2016-12-22 07:13:31 EST
Following patches has been deleted:
['arduino-macosx.patch', 'arduino-add-to-groups.patch']
Comment 49 Upstream Release Monitoring 2016-12-22 07:13:35 EST
Following patches has been modified:
['/var/tmp/thn-rhtzcnHU/rebase-helper-results/arduino-macosx.patch']
Comment 50 Upstream Release Monitoring 2016-12-22 07:13:40 EST
Following patches has been unapplied:
['arduino-no-network.patch', 'arduino-use-system-avrdude.patch', 'arduino-script.patch', 'arduino-use-system-astyle.patch', 'arduino-armbuild.patch']
Comment 51 Upstream Release Monitoring 2017-01-09 19:10:49 EST
Latest upstream release: 1.8.1
Current version/release in rawhide: 1.6.4-10.fc26
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/
Comment 52 Upstream Release Monitoring 2017-01-09 19:13:15 EST
Patching or scratch build for arduino-1.6.4 failed.
Comment 53 Upstream Release Monitoring 2017-01-09 19:13:19 EST
Created attachment 1238929 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 54 Upstream Release Monitoring 2017-01-09 19:13:24 EST
Following patches has been deleted:
['arduino-macosx.patch', 'arduino-add-to-groups.patch']
Comment 55 Upstream Release Monitoring 2017-01-09 19:13:28 EST
Following patches has been modified:
['/var/tmp/thn-rh0aSH9n/rebase-helper-results/arduino-macosx.patch']
Comment 56 Upstream Release Monitoring 2017-01-09 19:13:31 EST
Following patches has been unapplied:
['arduino-no-network.patch', 'arduino-use-system-avrdude.patch', 'arduino-script.patch', 'arduino-use-system-astyle.patch', 'arduino-armbuild.patch']
Comment 57 Petr Viktorin 2017-01-28 08:25:53 EST
FWIW, the latest package from arduino.cc doesn't work in Fedora, because it depends on /usr/lib64/libtinfo.so.5 but Fedora 25 has libtinfo.so.6.

Let me know if I can help here.
Comment 58 Jan ONDREJ 2017-01-28 08:35:39 EST
(In reply to Petr Viktorin from comment #57)
> FWIW, the latest package from arduino.cc doesn't work in Fedora, because it
> depends on /usr/lib64/libtinfo.so.5 but Fedora 25 has libtinfo.so.6.

There is also an ncurses-compat-libs-6.0-6.20160709.fc25.x86_64 in Fedora 25, which contains /usr/lib64/libtinfo.so.5.
Comment 59 Fedora Update System 2017-02-10 04:50:45 EST
arduino-1.6.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e719b6071
Comment 60 Fedora Update System 2017-02-10 04:51:16 EST
arduino-1.6.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-083ef44708
Comment 61 Gianluca Sforna 2017-02-10 04:53:58 EST
I just created an update to 1.6.6; despite being a seemingly minor update from 1.6.4, it was actually quite some work.

Please test it and add karma as needed, in the meanwhile I will use this groundwork to have a look at newer releases.
Comment 62 Fedora Update System 2017-02-10 10:47:43 EST
arduino-1.6.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-083ef44708
Comment 63 Fedora Update System 2017-02-10 11:24:10 EST
arduino-1.6.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e719b6071
Comment 64 Gianluca Sforna 2017-02-15 09:40:54 EST
Status update.
A tester promptly catched an issue with the proposed update. While working on a fix, I realized arduino relies on its own fork of ctags, so I submitted the package for review in bug #1422555. If anyone wants to do the review, it would be very useful.
Comment 65 Fedora Admin XMLRPC Client 2017-02-25 19:17:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 66 Jan ONDREJ 2017-07-16 14:36:33 EDT
PING. Arduino 1.8.3 is currently available. Can we get it in Fedora?
Comment 67 Fedora Update System 2017-07-21 18:09:19 EDT
arduino-builder-1.0.5-6.fc26 arduino-1.6.6-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-394c0f1880
Comment 68 Gianluca Sforna 2017-07-22 04:50:44 EDT
(In reply to Jan ONDREJ from comment #66)
> PING. Arduino 1.8.3 is currently available. Can we get it in Fedora?

We can, but not before I sorted out the issues with the new packaging that started with 1.6.6. So the plan is that I will push the updates and make sure the current arduino IDE is usable. 

Then I will try bringing the latest upstream release in Fedora. At this time, I am not sure I will be able to make the jump all the way to 1.8.3, but the effort will be most probably tracked in bug #1435029: if you want to help with testing I suggest you subscribe to that one.
Comment 69 Fedora Update System 2017-07-23 02:57:26 EDT
arduino-1.6.6-2.fc25, arduino-builder-1.0.5-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c33ec5464a
Comment 70 Fedora Update System 2017-07-23 05:59:35 EDT
arduino-1.6.6-3.fc26, arduino-builder-1.0.5-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-394c0f1880
Comment 71 Fedora Update System 2017-07-31 12:21:39 EDT
arduino-1.6.6-3.fc26, arduino-builder-1.0.5-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 72 Matthew Miller 2017-07-31 13:48:19 EDT
Note bug #1435029 covers the 1.8.x series.

Note You need to log in before you can comment on or make changes to this bug.